<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2012-09-06 13:49:09 +0200 (Thu, 06 Sep 2012) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: adminOrdersMenu.php 5326 2012-09-06 11:49:09Z boehm $
 *
 * Should be included in admin/orders.php, line 734 (ca.)
 */

require_once(dirname(__FILE__).'/../../helperFunctions.php');

if(is_object($oInfo)) {
	$sofortPaymentMethods = array('sofortueberweisung', 'vorkasse_by_sofort', 'rechnung_by_sofort', 'lastschrift_by_sofort', 'sofortlastschrift',
								  'SOFORT Überweisung', 'Vorkasse', 'Kauf auf Rechnung','Bankeinzug (Lastschrift)', 'SOFORT Lastschrift');
	$paymentMethod = getPaymentMethod($oInfo->orders_id);
	$languageShort = HelperFunctions::getShortCode($_SESSION['language']);
	
	if (in_array($paymentMethod, $sofortPaymentMethods)) {
		$heading = array ();
		$contents = array ();
		
		switch($paymentMethod) {
			case('vorkasse_by_sofort'):
			case('Vorkasse'):
				$contents[] = array ('align' => 'left', 'text' => '<div align="center" style="font-size:20px; font-family:Verdana; letter-spacing:-0.1em; font-style:italic;"><span><b>VORKASSE by <font color="#FFA000">SOFORT</font></b></span></div>');
				break;
			case('rechnung_by_sofort'):
			case('Kauf auf Rechnung'):
				$contents[] = array ('align' => 'left', 'text' => '<div align="center"><span><img src="https://images.sofort.com/'.$languageShort.'/sr/logo_155x50.png" alt="Rechnung by sofort" /></span></div>');
				break;
			case('sofortueberweisung'):
			case('SOFORT Überweisung'):
				$contents[] = array ('align' => 'left', 'text' => '<div align="center"><span><img src="https://images.sofort.com/'.$languageShort.'/su/logo_155x50.png" alt="sofortüberweisung" /></span></div>');
				break;
			case('lastschrift_by_sofort'):
			case('Bankeinzug (Lastschrift)'):
				$contents[] = array ('align' => 'left', 'text' => '<div align="center"><span><img src="https://images.sofort.com/'.$languageShort.'/ls/logo_155x50.png" alt="sofortlastschrift" /></span></div>');
				break;
			case('sofortlastschrift'):
			case('SOFORT Lastschrift'):
				$contents[] = array ('align' => 'left', 'text' => '<div align="center"><span><img src="https://images.sofort.com/'.$languageShort.'/sl/logo_155x50.png" alt="Lastschrift" /></span></div>');
				break;
		}
		
		$heading[] = array ('text' => '<b>['.$oInfo->orders_id.']&nbsp;&nbsp;'.tep_datetime_short($oInfo->date_purchased).'</b>');
		$shopsystem = HelperFunctions::getIniValue('shopsystemVersion');
		
		switch($shopsystem) {
			case('osc_2.2'):
				$contents[] = array('align' => 'center', 'text' => '<a href="'.tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('oID', 'action')).'oID='.$oInfo->orders_id.'&action=edit').'">'.tep_image_button('button_edit.gif', IMAGE_EDIT).'</a>');
				
				if($paymentMethod != 'rechnung_by_sofort') $contents[] = array('align' => 'center', 'text' => '<a href="'.tep_href_link(FILENAME_ORDERS_INVOICE, 'oID='.$oInfo->orders_id).'" TARGET="_blank">'.tep_image_button('button_invoice.gif', IMAGE_ORDERS_INVOICE).'</a>');
				
				$contents[] = array('align' => 'center', 'text' => '<a href="'.tep_href_link(FILENAME_ORDERS_PACKINGSLIP, 'oID='.$oInfo->orders_id).'" TARGET="_blank">'.tep_image_button('button_packingslip.gif', IMAGE_ORDERS_PACKINGSLIP).'</a>');
				$contents[] = array('text' => '<br>'.TEXT_DATE_ORDER_CREATED.' '.tep_date_short($oInfo->date_purchased));
				
				if (tep_not_null($oInfo->last_modified)) $contents[] = array('text' => TEXT_DATE_ORDER_LAST_MODIFIED.' '.tep_date_short($oInfo->last_modified));
				
				$contents[] = array('text' => '<br>'.TEXT_INFO_PAYMENT_METHOD.' ' .$oInfo->payment_method);
				break;
			case('osc_2.3'):
				$contents[] = array('align' => 'center', 'text' => tep_draw_button(IMAGE_EDIT, 'document', tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('oID', 'action')).'oID='.$oInfo->orders_id.'&action=edit')));
				
				if($paymentMethod != 'rechnung_by_sofort') $contents[] = array('align' => 'center', 'text' => tep_draw_button(IMAGE_ORDERS_INVOICE, 'document', tep_href_link(FILENAME_ORDERS_INVOICE, 'oID='.$oInfo->orders_id), null, array('newwindow' => true)));
				
				$contents[] = array('align' => 'center', 'text' => tep_draw_button(IMAGE_ORDERS_PACKINGSLIP, 'document', tep_href_link(FILENAME_ORDERS_PACKINGSLIP, 'oID='.$oInfo->orders_id), null, array('newwindow' => true)));
				$contents[] = array('text' => '<br />'.TEXT_DATE_ORDER_CREATED.' '.tep_date_short($oInfo->date_purchased));
				
				if (tep_not_null($oInfo->last_modified)) $contents[] = array('text' => TEXT_DATE_ORDER_LAST_MODIFIED.' '.tep_date_short($oInfo->last_modified));
				
				$contents[] = array('text' => '<br />'.TEXT_INFO_PAYMENT_METHOD.' ' .$oInfo->payment_method);
				break;
		}
	} else {
		//order was not paid with sofort-paymentmethod
	}
}


function getPaymentMethod($orderId) {
	$result = tep_db_query('SHOW TABLES LIKE \'sofort_orders\'');
	
	if (tep_db_num_rows($result)) {
		$sql = 'SELECT payment_method FROM sofort_orders WHERE orders_id = '.(int)$orderId.' ';
		$orders_query = tep_db_query($sql);
		
		if (tep_db_num_rows($orders_query)) {
			$paymentMethod = tep_db_fetch_array($orders_query);
			
			return $paymentMethod['payment_method'];
		}
	}
	
	return false;
}
?>